# Creating Docker Container for Hugo

Hugo 0.135.0 - amd64 - Ubuntu 24.04

*Replace Docker with Podman - been using Podman*

## Build Container

`git clone https://git.ittavern.com/CaffeineFueled/hugo-docker.git`

`cd hugo-docker`

`podman build -t hugo-docker:0.135.0 .`

Run hugo commands like this:

```bash
podman run --rm \
    -p 1313:1313 \
    -v $PWD:/content \
    localhost/hugo-docker:0.135.0 \
    server --bind 0.0.0.0
```

*Run in directory with Hugo page*

Add to config:

`alias hugo="podman run --rm -p 1313:1313 -v $PWD:/content localhost/hugo-docker:0.135.0"`

*Create alias for the latest version*

# Official Docker Image

They just announced a tagged [Hugo Docker Image](https://github.com/gohugoio/hugo/pkgs/container/hugo/280590856?tag=v0.135.0) in their [Release Notes of the current version](https://github.com/gohugoio/hugo/releases/tag/v0.135.0). You should use the offiicial Docker Image! - This a learning projects.
